Subject: Re: [ldapext] referencing one LDIF file from another

From: Howard Chu <[email-masked]>
Date: Thu, 23 Nov 2006 14:18:21 -0800

Vithalprasad Gaitonde wrote:
> > >>> Howard Chu <_ [email-masked] <mailto:[email-masked]>_ 
> > 11/23/2004 12:33:06 PM >>>
> > Vithalprasad Gaitonde wrote:
> > > RFC2849 doesnt seem to provide a way to include one ldif file into
> > > another ldif file though it does allow referencing an external 
> file for
> > > an attribute value.
> > > Has this been considered in the past ?
> > > It seems like a useful thing to have when there are dependencies 
> across
> > > several ldif files.
> >
> > I agree, I would definitely have a use for this. Haven't thought about
> > what the syntax should be yet.

Any more plans for RFC2849? I note that the current grammar has a hole, 
wrt the mod-spec behavior shown in the examples. There's nothing in the 
RFC that says the AttributeDescriptions in the attrval-specs of a 
mod-spec have to match the AttributeDescription in the mod-spec. As 
such, the following creates a valid Modify request, even though it's 
clear from the examples that this is not an intended behavior:

dn: dc=example,dc=com
changetype: modify
add: cn
cn: foo
sn: bar
description: xyzzy

Of course the AttributeDescription in the mod-spec is mostly redundant; 
it's only necessary when deleting all the values of an attribute. If 
we're going to kick out a version 2 LDIF that supports "include:" I'd 
also like to see something like the syntax I used in my logschema draft 
replacing this deficient mod-spec syntax.

-- 
  -- Howard Chu
  Chief Architect, Symas Corp.  http://www.symas.com
  Director, Highland Sun        http://highlandsun.com/hyc
  OpenLDAP Core Team            http://www.openldap.org/project/

_______________________________________________
Ldapext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ldapext